lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Dmitry Serebrennikov <>
Subject Re: New FieldSortedHitQueue uses Java 1.4 feature
Date Wed, 03 Mar 2004 18:27:02 GMT
I know in our environment we can't use 1.4 yet. We are integrating with 
another application that does not support 1.4. They will soon, but the 
1.3-based versions will still be in production for quite some time.
I wouldn't go as far as giving a -1 for the move, but please keep 1.3 
working. I it is still in common use out there.


Doug Cutting wrote:

> Eric Isakson wrote:
>> I hadn't heard any discussion about bumping up to Java 1.4 in the 
>> Lucene 1.4 release. Was this just overlooked or are we planning to 
>> drop support for pre 1.4 JVMs?
> There hasn't been any discussion yet, so, by default, we should still 
> try to make things work in Java 1.2.
> That said, maybe we should have such a discussion.  Folks have been 
> encountering strange bugs using Lucene in Java 1.3 recently.  There 
> are some features of Java 1.4 which could be useful, e.g., 
> LinkedHashMap, for easy implementation of LRU caches, regex support, 
> logging, xml parsers, etc.  So there are good reasons to move to 1.4.
> Are there reasons not to move to 1.4?  1.4 has been out for two years 
> now, and is pretty stable, but perhaps there are reasons some folks 
> are still unable to use it.  If so, please speak up.
> Doug
> ---------------------------------------------------------------------
> To unsubscribe, e-mail:
> For additional commands, e-mail:

To unsubscribe, e-mail:
For additional commands, e-mail:

View raw message